Bug 159723 - "Loading Heap Dump..." needs better progress indicator
"Loading Heap Dump..." needs better progress indicator
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: PERFORMANCE, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 21:37 UTC by Jesse Glick
Modified: 2009-05-22 10:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-03-05 21:37:01 UTC
I am trying to load a 529Mb heap dump in the IDE. My IDE uses default max heap for my 3.2Gb RAM, i.e. 512Mb. The
progress bar has been showing "Loading Heap Dump..." for several minutes now, with heavy disk activity. There is no
indication of what percentage of the heap dump has been loaded. If it is simply too big to handle and I need to stop
loading it, it seems that I would need to restart the IDE, since there is no cancel button either.

BTW its activity:

	at java.nio.DirectByteBuffer.putInt(DirectByteBuffer.java:654)
	at org.netbeans.lib.profiler.heap.LongMap$MemoryMappedData.putInt(LongMap.java:481)
	at org.netbeans.lib.profiler.heap.LongMap.putID(LongMap.java:289)
	at org.netbeans.lib.profiler.heap.LongMap.put(LongMap.java:252)
	at org.netbeans.lib.profiler.heap.HprofHeap.computeInstances(HprofHeap.java:361)
	at org.netbeans.lib.profiler.heap.ClassDump.getInstancesCount(ClassDump.java:195)
	at org.netbeans.lib.profiler.heap.ComputedSummary.<init>(ComputedSummary.java:67)
	at org.netbeans.lib.profiler.heap.HprofHeap.getSummary(HprofHeap.java:261)
	at org.netbeans.modules.profiler.heapwalk.HeapWalker.createHeap(HeapWalker.java:217)
	at org.netbeans.modules.profiler.heapwalk.HeapWalker.<init>(HeapWalker.java:96)
Comment 1 Jesse Glick 2009-03-05 21:38:07 UTC
Finally done! My IDE's heap usage is not up by much, which is good.
Comment 2 Tomas Hurka 2009-04-14 11:30:44 UTC
Fixed in profiler-main
changeset:   126596:a8b4f56727ee
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Apr 14 12:29:23 2009 +0200
summary:     bugfix #159723, progress indicator for 'Loading Heap Dump' added

Comment 3 Quality Engineering 2009-04-16 08:04:31 UTC
Integrated into 'main-golden', will be available in build *200904160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a8b4f56727ee
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #159723, progress indicator for 'Loading Heap Dump' added


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo